{% extends 'base.html' %}
{% load static %}

{% block style %} {% static 'assignments/frontEnd.css' %} {% endblock %}

{% block title %} Widget's Assignments {% endblock %}

{% block heading %} <h1 class="pageTitle"> Welcome to Widget's assignments </h1> {% endblock %}

{% block content %}
    <ul style='list-style-type:square;'>
        {% for assignment in assignmentsList %}
        <li> <div class='assignmentLink'> <a href="{{ assignment.get_absolute_url }}/details"> {{ assignment.assignment_name }} </a> </div> </li>
        {% endfor %}
    </ul>
{% endblock %}

{% block navigation %}
    <button class="buttonLink" onclick="window.location.href='add/';"> <b>New Assignment</b> </button><br><br>
    <a class="miniLink" href="/dashboard"> Dashboard </a> <br>
    <a class="miniLink" href="/announcements"> Announcements </a> <br>
    <a class="miniLink" href="/forum"> Forum </a> <br> 
    <a class="miniLink" href="/calendar"> Calendar </a> <br>
{% endblock %}